package com.dsk.cscec.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * (DCustomerClass)实体类
 *
 * @author sxk
 * @since 2024-06-19 17:03:19
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DCustomerClass implements Serializable {
    private static final long serialVersionUID = 623070004380284125L;
    /**
     * 类别ID
     */
    private String customerClassId;
    /**
     * 类别编码
     */
    private Long customerClassCode;
    /**
     * 类别名称
     */
    private String customerClassName;
    /**
     * 类别名称编码1
     */
    private String customerClassCode1;
    /**
     * 类别名称1
     */
    private String customerClassName1;
    /**
     * 类别名称编码2
     */
    private String customerClassCode2;
    /**
     * 类别名称2
     */
    private String customerClassName2;
    /**
     * 类别名称编码3
     */
    private String customerClassCode3;
    /**
     * 类别名称3
     */
    private String customerClassName3;
    /**
     * 层级编号
     */
    private Long levelNo;
    /**
     * 是否叶子结点
     */
    private String isleaf;
    /**
     * 是否有效
     */
    private String isvalid;
    /**
     * 备注
     */
    private String remark;
    /**
     * 父级ID
     */
    private String parentId;
    /**
     * 加载时间
     */
    private Date loadTime;
}
