package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dsk.cscec.domain.FSupplierLimited;
import com.dsk.cscec.domain.FSupplierLimitedRelieve;
import com.dsk.cscec.domain.vo.SupplierUnlimitedSearchVo;
import org.apache.ibatis.annotations.Param;

/**
 * 供应商解除限制信息表(FSupplierLimitedRelieve)表数据库访问层
 *
 * @author sxk
 * @since 2024-06-18 11:51:00
 */
public interface FSupplierLimitedRelieveMapper extends BaseMapper<FSupplierLimitedRelieve> {
    /**
     * 获取解除限用禁用名单
     */
    Page<SupplierUnlimitedSearchVo> selectPageSupplierUnlimitedList(@Param("page") Page<Object> build, @Param(Constants.WRAPPER) QueryWrapper<FSupplierLimited> wrapper);
}

