package com.dsk.cscec.domain.vo;

import com.dsk.cscec.domain.AdvisoryBody;
import com.dsk.cscec.domain.AdvisoryBodyProject;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author sxk
 * @date 2023.12.14
 * @time 16:18
 */
@Data
public class ProjectDetailNewVo {
    //咨询机构结算信息
    /**
     * 咨询机构
     */
    private AdvisoryBody advisoryBody;
    /**
     * 项目信息
     */
    private AdvisoryBodyProject advisoryBodyProject;
    /**
     * 法定代表人
     */
    private String corporatePerson;
    /**
     * 注册地址
     */
    private String regAddress;





    /**
     * 项目名称
     */
    private String projectName;
    //工程基本信息-项目主体
    /**
     * 业主名称(业主单位)
     */
    private String ownerName;
    /**
     * 承包单位主键(工程承包单位)
     */
    private String contractunitName;

    /**
     * 评审级别
     */
    private String auditLevel;
    //国内外
    /**
     * 省市
     */
    private String addr;
    /**
     * 项目承接类型
     */
    private String contractMoneychange;
    /**
     * 合同总工期
     */
    private BigDecimal projectDays;
    /**
     * 合同签订日期
     */
    private Date contractSignDate;
    /**
     * 项目周期
     */
    private BigDecimal projectDays2;

    /**
     * 工程类别大类
     */
    private String projectMaintype;

    /**
     * 工程类型明细
     */
    private String projectType2;
    /**
     * 建筑面积
     */
    private BigDecimal constructArea;
    /**
     * 合同金额_补充协议
     */
    private BigDecimal contractModifyMoney;
    /**
     * 合同金额_不含补充协议
     */
    private BigDecimal contractOrigMoney;
    /**
     * 合同自施额_不含补充协议
     */
    private BigDecimal contractOrigSelfmoney;
    /**
     * 计价依据
     */
    private String contractValuationMode;
    /**
     * 是否分别签订执行和备案合同
     */
    private String iscontractdb;

    /**
     * 支付方式
     */
    private String steppayTypeNew;
    /**
     * 按月度支付比例
     */
    private BigDecimal steppayScaleNew;

    /**
     * 审核期限
     */
    private String steppayCheckDays;
    /**
     * 支付期限
     */
    private String steppayPayDays ;

    /**
     * 累计支付
     */
    private BigDecimal endpayRate;
    /**
     * 保修金预留比例
     */
    private BigDecimal repairCostRate;



    /**
     * 担保形式
     */
    private String suretyType;



    /**
     * 担保额度
     */
    private String prepaySuretyMargin;

    /**
     * 竣工结算审核期限
     */
    private String endpayCheck;


    /**
     * 工期拖期违约金比例
     */
    private String projBrokencontractRange;

    /**
     * 违约金有无上限
     */
    private String ishaveupper;

    /**
     * 上限比例
     */
    private String upperValue;

}
