package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.cscec.domain.DCustomerClass;
import com.dsk.cscec.domain.vo.DCustomerClassTreeVo;

import java.util.List;

/**
 * (DCustomerClass)表服务接口
 *
 * @author sxk
 * @since 2024-06-19 17:03:19
 */
public interface DCustomerClassService extends IService<DCustomerClass> {
    /**
     * 查询物资类别树
     */
    List<DCustomerClassTreeVo> queryMaterialClassTree();
}

